Subject: Re: Fw: [Bugme-new] [Bug 2782] New: ksoftirqd load system, kernel hang after a few minuts

From: [email-masked]
Date: Fri, 28 May 2004 11:35:31 +0100

Andrew Morton wrote:
> Suggest you try an up-to-date kernel.
> 
> Begin forwarded message:
> 
> Date: Thu, 27 May 2004 09:19:49 -0700
> From: [email-masked]
> To: [email-masked]
> Subject: [Bugme-new] [Bug 2782] New: ksoftirqd load system, kernel hang after a few minuts
> 
> 
> http://bugme.osdl.org/show_bug.cgi?id=2782
> 
>            Summary: ksoftirqd load system, kernel hang after a few minuts
>     Kernel Version: 2.4.20-2.4.22
>             Status: NEW
>           Severity: blocking
>              Owner: [email-masked]
>          Submitter: [email-masked]

I've just seen something similar with official 2.4.20+e1000 v5.2.30.1
on a Dual Intel Xeon CPU 2.6G+hyperthreading. Note I use IRQ affinity
so both ksoftirqd_CPU[02] are at 100%.

The following is repeatable in about a minute which is good.
I send in around 700,000 packets per second on each of 2 interfaces,
and let the packets continually overflow the (4096 entry) buffers.
After about a minute I can't receive any traffic, and a couple
of occasions the machine just rebooted, so something is getting
corrupted. I was suspecting the e1000 driver buffer management until
I seen this?

Pádraig.